Diff of /nightly/nightly.sh [000000] .. [r346] Maximize Restore

  Switch to side-by-side view

--- a
+++ b/nightly/nightly.sh
@@ -0,0 +1,34 @@
+#! /bin/bash
+
+#
+# Nightly snapshot of Vufind 
+#
+# $Id$
+#
+
+SVN='https://vufind.svn.sourceforge.net/svnroot/vufind/trunk'
+REL_NAME=vufind-nightly
+SERVER=vufind.org
+SERVER_DIR=/var/www/vufind/nightly
+
+#create an empty build directory
+rm -rf /tmp/$REL_NAME
+cd /tmp
+
+#export sources
+svn export $SVN $REL_NAME
+
+cd $REL_NAME
+
+ant tag
+
+if [ $? != 0 ]; then
+  echo Exiting...
+  exit
+fi
+
+#release it
+#scp tag/*.tar.gz $SERVER:$SERVER_DIR-`/bin/date +%F`.tar.gz
+
+# remove old builds
+#ssh $SERVER rm `ssh $SERVER find $REL_DIR -type f | sort -r | tail +10`